* {
    margin: 0;
    box-sizing: border-box;
    font-family: 'Ubuntu';
}
:root{
    --prime-color: #3CB878;
    --hover-color: #01813F;
}
.body{
    background-image:  url(/img/background.svg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

header {
    height: 58px;
    background-color: #00000040;
    box-shadow: 0px 4px 4px 0px #00000040;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 18px 79px;
}
.logo {
    font-size: 22px;
    font-weight: 700;
    color: #fff;
    text-decoration: none;
}
.logo:hover{
    color: var(--hover-color);
    transition: 0.5s ease;
}
.header-menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  
}
.header-icons {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 24px;
    padding-right: 25px;
    border-right: 1px solid gray;
}
.exit {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    color: #fff;
    margin-left: 25px;
}
/* .exit a {
    text-decoration: none;
    color: #fff;
} */

main {
    margin: 54px auto;
    background-color: #fff;
    width: 444px;
}
form {
    display: flex;
    flex-direction: column;
    height: 584px;
    padding-left: 80px;
    padding-right: 80px;
    padding-top: 30px;
    position: relative;
}
form::before {
    content: '';
    display: block;
    left: 0;
    top: 31;
    height: 18px;
    width: 18px;
    background-color: var(--prime-color);
    position: absolute;
}
.checkbox {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    height: 14px;
    position: relative;
    margin-bottom: 20px;
}
.a-green-text {
    color: var(--prime-color);
}
.a-green-text:hover {
    text-decoration: underline;
    color: var(--hover-color);
}
.calendar,
.letter,
.compass {
    cursor: pointer;
}
.calendar:hover path,
.letter:hover path,
.compass:hover path {
    fill: var(--hover-color);
    transition: 0.5;
}
.exit-login,
.exit-signup {
    background-color: transparent;
    border: none;
    color: #fff;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;

}
.exit-login:hover,
.exit-signup:hover {
    color: var(--hover-color);
    transition: 0.5s ease;
}
.bnt-create-account {
    height: 46px;
    text-decoration: none;
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--prime-color);
    border-radius: 4px;
    cursor: pointer;
}
.bnt-create-account:hover {
    background-color: var(--hover-color);
    transition:  0.5s ease;
}

.form-title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-bottom: 15px;
    align-items: baseline;
    height: 14px;
}
.form-title p{
    font-size: 20px;
    font-weight: 400;
    color: #434343;
}
.form-title a{
    font-size: 14px;
    font-weight: 400;
    color: var(--prime-color);
    cursor: pointer;
    text-decoration: none;
}
.form-title a:hover{
    text-decoration: underline;
    color: var(--hover-color);
    transition: 0.5s ease;
}
.btn {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 4px;
    margin-bottom: 34px;
}
.bnt-fb {
    background-color: #305DB8;
    cursor: pointer;
    text-decoration: none;
}
.bnt-fb:hover{
    background-color: #022263;
    transition: 0.5s ease;
}
.btn-google {
    cursor: pointer;
    background-color: #DF4A32;
    text-decoration: none;

}
.btn-google:hover{
    background-color: #AB1F09;
    transition: 0.5s ease;
}
.btn-google,
.bnt-fb {
    color: #fff;
    height: 48px;
    width: 160px;
    padding-left: 12px;
    padding-right: 12px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-radius: 4px;
    position: relative;
}
.bnt-fb::before {
    content: '';
    display: block;
    position: absolute;
    border-left: 1px solid #0A162F;
    height: 28px;
    left: 48px;
    opacity: 10%;
}
.btn-google::before {
    content: '';
    display: block;
    position: absolute;
    border-left: 1px solid #0A162F;
    height: 28px;
    left: 48px;
    opacity: 10%;
}

.fb-icon { 
    height: 24px;
    width: 24px;
    position: relative;
    background-color: transparent;
}
.google-icon {
    height: 19px;
    width: 30px;
}
.or {
    font-size: 14px;
    font-weight: 400;
    color: #848484;
    text-align: center;
    position: relative;
    margin-bottom: 5px;
}

.or::before {
    content: '';
    display: block;
    position: absolute;
    border-bottom: 1px solid #F2F2F2;
    top: 55%;
    left: 0;
    width: 130px;
}
.or::after {
    content: '';
    display: block;
    position: absolute;
    border-bottom: 1px solid #F2F2F2;
    bottom: 45%;
    right: 0;
    width: 130px;
}

input[type="text"],
[type="email"],
[type="password"] {
    height: 44px;
    padding: 14px 20px;
    margin-bottom: 15px;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
}
input::placeholder,
textarea::placeholder {
    color: #BEBEBE; 
}
input:focus,
textarea:focus {
    outline: none; 
    box-shadow: 0px 3px 8px 0px #00000036;

}

input[type="checkbox"] {
    opacity: 0;
    
}
.customCheckboxLabel {
    font-size: 14px;
    font-weight: 400;
    color: #434343;
}
.customCheckboxLabel::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 14px; 
    height: 14px; 
    background-color: #fff;
    border: 1px solid #F2F2F2; 
}


.customCheckboxLabel::after {
    content: 'V'; 
    color: transparent;
    position: absolute;
    left: 0px; 
    top: 0; 
    font-size: 23px; 
    visibility: hidden;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='17' viewBox='0 0 16 17' fill='none'%3E%3Cpath d='M1 7.5L7 14.5L15 1' stroke='%233CB878' stroke-width='2'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
}


input[type="checkbox"]:checked + .customCheckboxLabel::after {
    visibility: visible; 
}


.svg {
    display: none;
}
